MobiariDocs
Admin APIKnowledge Base

Get a knowledge base article

GET
/stores/{store_id}/kb/articles/{article_id}

Authorization

bearer_auth
AuthorizationBearer <token>

Authorization: Bearer <token>. Either a session access token from POST /auth/login (refresh it with POST /auth/refresh) or a store API token (mobi_st_…). A store API token works only for the store it was issued in, and can do at most what its issuing user can there, narrowed to the scopes it was issued with.

In: header

Path Parameters

store_id*string

Store id

Formatuuid
article_id*string

Article id

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/stores/497f6eca-6276-4993-bfeb-53cbbbba6f08/kb/articles/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "body_md": "string",
  "collection_id": "4bdef85c-3f50-4006-a713-2350da665f80",
  "created_at": "2019-08-24T14:15:22Z",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "index_error": "string",
  "indexed_at": "2019-08-24T14:15:22Z",
  "status": "draft",
  "title": "string",
  "updated_at": "2019-08-24T14:15:22Z"
}
{
  "code": "not_found",
  "details": {},
  "error": "Order not found"
}
{
  "code": "not_found",
  "details": {},
  "error": "Order not found"
}
{
  "code": "not_found",
  "details": {},
  "error": "Order not found"
}
{
  "code": "not_found",
  "details": {},
  "error": "Order not found"
}
{
  "code": "not_found",
  "details": {},
  "error": "Order not found"
}